require 'generators/per_page_loader/base_generator'

module PerPageLoader
  module Generators
    class ControllerGenerator < BaseGenerator
      argument :actions, type: :array, default: [], banner: "Array of actions to be added to the controller"
      class_option :dir, type: :string, default: "application", desc: "The directory where the file should go"

      def create_coffee_controller_file
        template 'controller.erb', File.join("app/assets/javascripts/#{options[:dir]}/controllers", "#{table_name}_controller.coffee")
      end
    end
  end
end
