module PerPageLoader
  module PerPageHelper
    def per_page_container
      PerPageLoader::Container.new(self).render
    end

    def javascript_controller
      controller_path.gsub('/', '_').camelize
    end

    def javascript_action
      controller.action_name.camelize(:lower) + 'Action'
    end

    def json_partial(partial, options = {})
      options.reverse_merge! locals: nil
      passed_options = {partial: partial, locals: options[:locals], formats: options[:formats]}
      passed_options.merge!(collection: options[:collection]) if options[:collection]

      render(passed_options).to_json.html_safe
    end
  end
end
